import { IsString } from 'class-validator';
import { NotFoundError } from 'routing-controllers';

/**
 * Error to throw when a user couldn't be found.
 */
export class PrincipalNotFoundError extends NotFoundError {
	@IsString()
	name = "PrincipalNotFoundError"

	@IsString()
	message = "Principal not found!"
}